import calendar
import datetime

from django.utils import dateformat


def days_in_month(mese):
    year = int(mese.split("-")[0])
    month = int(mese.split("-")[1])
    days = calendar.monthrange(year, month)[1]
    days = list(range(1, days))
    start = f"{mese}-01"
    dates = [start]

    for day in days:
        new_date = datetime.date(year, month, 1) + datetime.timedelta(days=day)
        new_date = dateformat.format(new_date, "Y-m-d")
        dates.append(new_date)

    return dates
